ubuntu12.04下编译android源码出错

fgc 发布于 2012/07/31 10:52
阅读 3K+
收藏 0
target R.java/Manifest.java: SoundRecorder (out/target/common/obj/APPS/SoundRecorder_intermediates/src/R.stamp)
target R.java/Manifest.java: Stk (out/target/common/obj/APPS/Stk_intermediates/src/R.stamp)
target R.java/Manifest.java: TtsService (out/target/common/obj/APPS/TtsService_intermediates/src/R.stamp)
target R.java/Manifest.java: UserDictionaryProvider (out/target/common/obj/APPS/UserDictionaryProvider_intermediates/src/R.stamp)
target R.java/Manifest.java: VpnServices (out/target/common/obj/APPS/VpnServices_intermediates/src/R.stamp)
target Strip: liblog (out/target/product/shakira/obj/lib/liblog.so)
aapt: warning: string 'default_html_color_code' has no default translation in packages/apps/Email/res; found: es
aapt: warning: string 'default_rgb_value' has no default translation in packages/apps/Email/res; found: es
Warning: AndroidManifest.xml already defines versionCode (in http://schemas.android.com/apk/res/android); using existing value in manifest.
Warning: AndroidManifest.xml already defines versionName (in http://schemas.android.com/apk/res/android); using existing value in manifest.
target Strip: libz (out/target/product/shakira/obj/lib/libz.so)
target Strip: libexpat (out/target/product/shakira/obj/lib/libexpat.so)
target Strip: libicuuc (out/target/product/shakira/obj/lib/libicuuc.so)
target Strip: libETC1 (out/target/product/shakira/obj/lib/libETC1.so)
target Prelink: liblame (out/target/product/shakira/symbols/system/lib/liblame.so)
build/tools/apriori/prelinkmap.c(173): library 'liblame.so' not in prelink map
make: *** [out/target/product/shakira/symbols/system/lib/liblame.so] 错误 1
make: *** 正在等待未完成的任务....

网上找到的 关于library 'XXX.so' not in prelink map 错误的解决方法是:
修改所在文件夹下的android.mk文件

增加

LOCAL_PRELINK_MODULE := false

然后我修改了/build/tools/apriori下的Android.mk,增加
LOCAL_PRELINK_MODULE := false,问题依旧。
请高手们指点。
加载中
返回顶部
顶部